Gluecrawl
Jobs

Get a Job

Retrieve one job by ID. Use to poll mapping status.

GET/v1/jobs/:id
Requires authentication

Returns a single job. Poll until status is ready or failed before creating a run.

Path parameters

NameTypeDescription
idrequireduuidJob ID returned from Create a Job or List Jobs.
curl 'https://api.gluecrawl.ai/v1/jobs/JOB_ID' \  -H "Authorization: Bearer glue_yourApiKeyHere"

Responses

application/json
{  "id": "550e8400-e29b-41d4-a716-446655440000",  "url": "https://example.com/products",  "input": { "type": "goal", "value": "Extract all product names and prices" },  "columns": {    "listing": [      { "name": "product_name", "type": "text" },      { "name": "price", "type": "number" },      { "name": "product_url", "type": "url" }    ],    "detail": [      { "name": "description", "type": "text" },      { "name": "rating", "type": "number" },      { "name": "reviews_count", "type": "number" }    ]  },  "status": "ready",  "protection_level": "light",  "max_pages": 10,  "created_at": "2026-04-01T09:00:00Z",  "updated_at": "2026-04-01T09:05:00Z"}